<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>hzhub-ai</artifactId>
        <groupId>org.hzhub</groupId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <modules>
        <module>hzhub-common-bom</module>
        <module>hzhub-common-chat</module>
        <module>hzhub-common-social</module>
        <module>hzhub-common-core</module>
        <module>hzhub-common-doc</module>
        <module>hzhub-common-excel</module>
        <module>hzhub-common-idempotent</module>
        <module>hzhub-common-job</module>
        <module>hzhub-common-log</module>
        <module>hzhub-common-mail</module>
        <module>hzhub-common-mybatis</module>
        <module>hzhub-common-oss</module>
        <module>hzhub-common-ratelimiter</module>
        <module>hzhub-common-redis</module>
        <module>hzhub-common-satoken</module>
        <module>hzhub-common-security</module>
        <module>hzhub-common-sms</module>
        <module>hzhub-common-web</module>
        <module>hzhub-common-translation</module>
        <module>hzhub-common-sensitive</module>
        <module>hzhub-common-json</module>
        <module>hzhub-common-encrypt</module>
        <module>hzhub-common-tenant</module>
        <module>hzhub-common-websocket</module>
        <module>hzhub-common-sse</module>
    </modules>

    <artifactId>hzhub-common</artifactId>
    <packaging>pom</packaging>

    <description>
        common 通用模块
    </description>

</project>
